View Issue Details

IDProjectCategoryView StatusLast Update
14625Bug reports[All Projects] Statisticspublic2019-04-02 16:41
Reporterf_funkeAssigned Todominikvitt 
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version3.17.x 
Summary14625: Summary Table (Frequencies) for 5-Point Choice is Confusing (+ Feature Request)
Description

The current implementation of the statistics (for 5-point choice)
https://manual.limesurvey.org/Statistics#FAQs
is a bit confusing and to some extent even wrong.

#1: The cell where column "sum (answers)" meets "Percentage" is not correct or not positioned correctly (marked yellow in uploaded file 1). It suggests that it the sum of the preceeding rows but actually it is the sum of all percentages. So this row should be put two rows below.

#2: The column "Sum" is confusing (marked red in uploaded file 1). It presents values that are in market research sometimes called "top two boxes" and "bottom two boxes" (or just "top-2" and "flop-2"/"bottom-2"). So this denotation could be used.

#3 - Feature Request: Overall, the display of the summary frequency table lacks important pieces of information. Especially two separate columns for overall percent (based on all cases), valid percent (based on those who answered a question), and cumulative percent (sum of all previous percentages) are needed. See uploaded file 2 for a suggestion. This would include all numbers presented by SPSS Statistics plus additional numbers (cummulative gross percent and top-/bottom-2).

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.15.9
I will donate to the project if issue is resolvedNo
Browser
Database & DB-VersionLimeSurvey Professional
Server OS (if known)
Webserver software & version (if known)
PHP VersionLimeSurvey Professional

Activities

f_funke

f_funke

2019-03-11 13:50

developer  

cdorin

cdorin

2019-03-11 14:04

manager   ~50897

@Mazi, any thoughts on this? Maybe this can be changed in LS4.

Mazi

Mazi

2019-03-11 15:46

partner   ~50904

@cdorin, I agree to the issues mentioned by @f_funke: We should a) move the "Sum" row down a little and b) rename the "Sum" column. Both should be rather simple adjustments and should be considered bug fixes for Limesurvey 3.

The additional adjustments requested should be taken into account for Limesurvey 4 or 5 but I do NOT recommend adding this to the current code because the source code for the whole statistics part is a nightmare. This should only be added once stats get rwritten from scratch. I guess this will not happen for LS 4 but more likely for LS 5, Olle or Louis can tell you more.

f_funke

f_funke

2019-03-12 12:01

developer   ~50915

Thanks for your ideas, @Mazi!

Renaming column "Sum" is a good point to start. However, moving the row "Sum (answers)" down would look strange for the last column.

Would it be possible with a reasonable amount of work to copy and adjust row "Sum (answers)" so that is presented both at the present position (as "Total (valid)") and below "not completed/displayed" (as "Total (gross)")? See the following illustration.



Mazi

Mazi

2019-03-12 12:40

partner   ~50918

RE "Would it be possible with a reasonable amount of work to copy and adjust row "Sum (answers)" so that is presented both at the present position (as "Total (valid)") and below "not completed/displayed" (as "Total (gross)")? See the following illustration.": I leave that to the developers to answers. Since it requires doing additional calculations and not just placing an existing data set at a different row, it could be more complex than expected. @dominikvitt may be able to tell us.

dominikvitt

dominikvitt

2019-03-13 17:45

developer   ~50963

Should proposed presentation be shown only for 5-Point Choice question type?
Other question type's presentation should remain the same?

f_funke

f_funke

2019-03-21 12:05

developer   ~51084

No, all question types with similar reports should be affected. But even though I think the top-/flop-2 summary is nice for certain users, the middle percentage poses some problems with other rating scales (with an even number of response options). But if we would add the cumulative valid percent, users could just read out the top-2 value easily. For the bottom-2 we would need something like cumullative percent (decending).

The question is, if we opt for a small fix (updated column names) or rebuild the tables from scratch. But if there should be plans to change the whole statistics module, we should just wait. What do you think?

dominikvitt

dominikvitt

2019-03-25 12:45

developer   ~51118

Statistics module is meant to be rebuilt, but it is not currently a priority.
So I'll start with this issue and try to adjust it to look like proposed presentation.

dominikvitt

dominikvitt

2019-03-29 18:32

developer   ~51209

Last edited: 2019-04-01 10:47

View 2 revisions

This issue is fixed:
https://github.com/LimeSurvey/LimeSurvey/commit/612a25e9333eecdb93e047f92c66283536aabff4

dominikvitt

dominikvitt

2019-03-29 18:32

developer   ~51210

5 point:



dominikvitt

dominikvitt

2019-03-29 18:33

developer   ~51211

List (radio):



cdorin

cdorin

2019-04-01 10:41

manager   ~51234

Much more clear now for the users. Thanks @dominikvitt

f_funke

f_funke

2019-04-01 14:34

developer   ~51242

That is a huge step forward. Thanks @dominikvitt!

Issue History

Date Modified Username Field Change
2019-03-11 13:50 f_funke New Issue
2019-03-11 13:50 f_funke File Added: Current_Summary_Statistics_190311.png
2019-03-11 13:50 f_funke File Added: suggestion_summary_frequency_table_190311.png
2019-03-11 14:04 cdorin Note Added: 50897
2019-03-11 15:46 Mazi Note Added: 50904
2019-03-12 12:01 f_funke File Added: small_update_summary_frequency_table_190312.png
2019-03-12 12:01 f_funke Note Added: 50915
2019-03-12 12:40 Mazi Note Added: 50918
2019-03-12 14:28 dominikvitt Assigned To => dominikvitt
2019-03-12 14:28 dominikvitt Status new => assigned
2019-03-13 17:45 dominikvitt Note Added: 50963
2019-03-21 12:05 f_funke Note Added: 51084
2019-03-25 12:45 dominikvitt Note Added: 51118
2019-03-29 18:32 dominikvitt Status assigned => resolved
2019-03-29 18:32 dominikvitt Resolution open => fixed
2019-03-29 18:32 dominikvitt Fixed in Version => 3.16.x
2019-03-29 18:32 dominikvitt Note Added: 51209
2019-03-29 18:32 dominikvitt File Added: Screenshot_2019-03-29_18-30-55.png
2019-03-29 18:32 dominikvitt Note Added: 51210
2019-03-29 18:33 dominikvitt File Added: Screenshot_2019-03-29_18-31-16.png
2019-03-29 18:33 dominikvitt Note Added: 51211
2019-04-01 10:41 cdorin Note Added: 51234
2019-04-01 10:47 dominikvitt Note Edited: 51209 View Revisions
2019-04-01 14:34 f_funke Note Added: 51242
2019-04-02 16:41 ollehar Status resolved => closed
2019-04-02 16:41 ollehar Fixed in Version 3.16.x => 3.17.x